local aname, atbl = ...
local select = select

-- Share the wealth of our beautiful sounds
local SM = LibStub and LibStub:GetLibrary("LibSharedMedia-3.0", true)
if SM then
    SM:Register("sound", "Job Done", "Interface\\AddOns\\Jobs'a'goodn\\Peasant_work_done.mp3")
    SM:Register("Sound", "Work Complete", "Sound\\Creature\\Peon\\PeonBuildingComplete1.wav")
end

local oldcomp, oldquest, oldob, newcomp, newquest, newob


local f = CreateFrame("Frame", aname)
f:RegisterEvent("QUEST_LOG_UPDATE")
f:SetScript("OnEvent", function()
	oldcomp, oldquest, oldob = newcomp, newquest, newob
    newcomp, newquest, newob = 0, 0, 0
    for qid = 1, GetNumQuestLogEntries() do
        local _,_,_,_,header,_,iscomp = GetQuestLogTitle(qid)
        if not header then
            newquest = newquest + 1
            if iscomp == 1 then 
                newcomp = newcomp + 1 
            else
                for qob = 1, GetNumQuestLeaderBoards(qid) do
                    if select(3,GetQuestLogLeaderBoard(qob, qid)) == 1 then
                        newob = newob + 1
                    end
                end
            end
        end
    end
    if oldquest == newquest then
		
        if (newcomp - oldcomp) == 1 then PlaySoundFile("Sound\\Creature\\Peon\\PeonBuildingComplete1.wav")
        elseif (newob - oldob) == 1 then PlaySoundFile("Interface\\AddOns\\Jobs'a'goodn\\Peasant_work_done.mp3")
        end
    end
end)
